Bug 1956246 - ghostscript package has broken DroidSansFallback symlink , font is now DroidSansFallbackFull.ttf
Summary: ghostscript package has broken DroidSansFallback symlink , font is now DroidS...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript
Version: 34
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Lescak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 09:58 UTC by skierpage
Modified: 2021-06-20 01:06 UTC (History)
5 users (show)

Fixed In Version: ghostscript-9.53.3-6.fc34 ghostscript-9.53.3-6.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-15 01:05:51 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description skierpage 2021-05-03 09:58:17 UTC
Description of problem:
After a `dnf system-upgrade` to Fedora 34, I ran `sudo symlinks -r /usr | grep dangling` as recommended by https://docs.fedoraproject.org/en-US/quick-docs/dnf-system-upgrade/

this reports the dangling (broken) symlink
    dangling: /usr/share/ghostscript/Resource/CIDFSubst/DroidSansFallback.ttf -> /usr/share/fonts/google-droid-sans-fonts/DroidSansFallback.ttf

Version-Release number of selected component (if applicable): 9.53.3


How reproducible:
I only have the one computer running Fedora.

Steps to Reproduce:
1. upgrade to Fedora 34
2. Run `symlinks -r /usr/share/ghostscript | grep dangling` or just `ls -lL /usr/share/ghostscript/Resource/CIDFSubst/`

Actual results:
cannot access '/usr/share/ghostscript/Resource/CIDFSubst/DroidSansFallback.ttf': No such file or directory

Expected results:
The packages should cooperate to avoid broken symlinks.

Additional info:

I think the font is now named /usr/share/fonts/google-droid-sans-fonts/DroidSansFallbackFull.ttf , note "Full" on the end, provided by the package google-droid-sans-fonts-20200215-9.fc34.noarch. I don't know which end of the symlink should be updated. It might be created in the ghostscript.spec file with the line

ln -fs %{google_droid_fontpath}/DroidSansFallback.ttf %{buildroot}%{_datadir}/%{name}/Resource/CIDFSubst/DroidSansFallback.ttf

Comment 1 Fedora Update System 2021-06-11 14:59:40 UTC
FEDORA-2021-647ed17d6f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-647ed17d6f

Comment 2 Fedora Update System 2021-06-11 15:37:05 UTC
FEDORA-2021-bc14f43c51 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bc14f43c51

Comment 3 Richard Lescak 2021-06-11 15:41:20 UTC
Hi,

thanks for the report.

Update which should fix that is in testing.

Comment 4 Fedora Update System 2021-06-12 01:07:49 UTC
FEDORA-2021-bc14f43c51 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bc14f43c51`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bc14f43c51

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-06-12 01:57:00 UTC
FEDORA-2021-647ed17d6f has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-647ed17d6f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-647ed17d6f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-06-15 01:05:51 UTC
FEDORA-2021-647ed17d6f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-06-20 01:06:41 UTC
FEDORA-2021-bc14f43c51 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.